# Simple toolchain template file for gcc running on arm Linux
set(CMAKE_SYSTEM_NAME Linux)
set(CMAKE_SYSTEM_PROCESSOR arm)

set(CMAKE_SYSROOT /opt/arm-linux-musleabihf/arm-linux-musleabihf/sys-root/)
set(CMAKE_INSTALL_PREFIX $ENV{prefix})

set(CMAKE_C_COMPILER   /opt/bin/arm-linux-musleabihf-gcc)
set(CMAKE_CXX_COMPILER /opt/bin/arm-linux-musleabihf-g++)
set(CMAKE_Fortran_COMPILER /opt/bin/arm-linux-musleabihf-gfortran)

set(CMAKE_LINKER  /opt/bin/arm-linux-musleabihf-ld)
set(CMAKE_OBJCOPY /opt/bin/arm-linux-musleabihf-objcopy)

set(CMAKE_AR     /opt/arm-linux-musleabihf/bin/arm-linux-musleabihf-ar)
set(CMAKE_NM     /opt/arm-linux-musleabihf/bin/arm-linux-musleabihf-nm)
set(CMAKE_RANLIB /opt/arm-linux-musleabihf/bin/arm-linux-musleabihf-ranlib)

if( $ENV{CC} MATCHES ccache )
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
endif()
